Redmine - Feature #30043

Update Rails to 4.2.11
2018-11-28 09:01 - Marius BALTEANU

Status: Closed Start date:

Priority: High Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Rails support Estimated time: 0.00 hour
Target version: 3.3.9

Resolution: Fixed

Description

https://weblog.rubyonrails.org/2018/11/27/Rails-4-2-5-0-5-1-5-2-have-been-released/

diff --git a/Gemfile b/Gemfile

index 88fdc72d9..cb5646561 100644

-—— a/Gemfile

+++ b/Gemfile

@@ —-4,7 +4,7 QR if Gem::Version.new (Bundler::VERSION) < Gem::Version.new('1.5.0")

abort "Redmine requires Bundler 1.5.0 or higher (you're using #{Bundler::VERSION}).\nPlease upd

ate with 'gem update bundler'."

end

—-gem "rails", "4.2.10"
+gem "rails", "4.2.11"
gem "addressable", "2.4.0" if RUBY_VERSION < "2.0"
if RUBY_VERSION < "2.1"
gem "public_suffix", (RUBY_VERSION < "2.0" 2?2 "~> 1.4" : "~> 2.0.5")

Related issues:
Related to Redmine - Feature #29667: Update Rails to 4.2.10 Closed

Associated revisions

Revision 17642 - 2018-11-28 18:58 - Jean-Philippe Lang
Update Rails to 4.2.11 (#30043).

Patch by Marius BALTEANU.

Revision 17647 - 2018-11-28 21:23 - Jean-Philippe Lang
Update Rails to 4.2.11 (#30043).

Patch by Marius BALTEANU.

History

#1 - 2018-11-28 09:01 - Marius BALTEANU
- Copied from Feature #30042: Update Rails to 5.2.1.1 added

#2 - 2018-11-28 09:01 - Marius BALTEANU
- Copied from deleted (Feature #30042: Update Rails to 5.2.1.1)

#3 - 2018-11-28 21:23 - Jean-Philippe Lang
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version changed from 3.4.7 to 3.3.9

- Resolution set to Fixed

Committed in 3.3 and 3.4, thanks.
https://weblog.rubyonrails.org/2018/11/27/Rails-4-2-5-0-5-1-5-2-have-been-released/

#4 - 2018-11-28 21:32 - Marius BALTEANU
- Related to Feature #29667: Update Rails to 4.2.10 added
